Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryZone

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryZone

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryZone

extends java.lang.Object
implements EPPCodecComponent

Represents the summary info of a zone object. Zone summary info of all supported zones is returned is a list when the server receives an <info> command, with a <registry:all> element in it.
The zone summary info element contains:

- <registry:name> - fully qualified name of the zone. Use `setName(String)` and `getName()` to access the attribute.
- <registry:crDate> - date of zone object creation. Use `setCreateDate(Date)` and `getCreateDate()` to access the attribute.
- <registry:upDate> - optional date of last update. Use `setUpdateDate(Date)` and `getUpdateDate()` to access the attribute.

Version:
  1.4
Author:
  ljia
See Also:
  `EPPRegistryZoneList`, Serialized Form

Constructor Summary
`EPPRegistryZone()` Default constructor.
`EPPRegistryZone(java.lang.String name, java.util.Date createDate)` Construct `EPPRegistryZone` with name and create date.
`EPPRegistryZone(java.lang.String name, java.util.Date createDate, java.util.Date updateDate)` Construct `EPPRegistryZone` with name, craete date and last update date.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPRegistryZone`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryZone` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryZone` instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryZone` compare.
`java.util.Date` | `getCreateDate()` Get creation date of zone object.
`java.lang.String` | `getName()` Get name of the zone object.
`java.util.Date` | `getUpdateDate()` Get last update date of zone object.
`void` | `setCreateDate(java.util.Date createDate)` Set creation date of zone object.
`void` | `setName(java.lang.String name)` Set name of the zone object.
`void` | `setUpdateDate(java.util.Date updateDate)` Set last update date of zone object.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPRegistryZone

    public EPPRegistryZone()

  Default constructor. Attributes are set to:
  - `name` - null
  - `createDate` - null
  - `updateDate` - null
  Use `setName(String)` and `setCreateDate(Date)` before calling `encode(Document)`

### EPPRegistryZone

    public EPPRegistryZone(java.lang.String name,
                           java.util.Date createDate)

  Construct `EPPRegistryZone` with name and create date. `updateDate` is set to null.

  Parameters:
    `name` - fully qualified name of zone object
    `createDate` - creation date of zone object

### EPPRegistryZone

    public EPPRegistryZone(java.lang.String name,
                           java.util.Date createDate,
                           java.util.Date updateDate)

  Construct `EPPRegistryZone` with name, craete date and last update date.

  Parameters:
    `name` - fully qualified name of zone object
    `createDate` - creation date of zone object
    `updateDate` - date of last update

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPRegistryZone` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPRegistryZone` instance.
  Throws:
    `EPPEncodeException` - - Unable to encode `EPPRegistryZone` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPRegistryZone` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPRegistryZone` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPRegistryZone` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPRegistryZone` instance to compare with
  Returns:
    `true` if this object is the same as the aObject argument; `false` otherwise

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRegistryZone`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPRegistryZone`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getName

    public java.lang.String getName()

  Get name of the zone object.

  Returns:
    fully qualified name of the zone object

### setName

    public void setName(java.lang.String name)

  Set name of the zone object.

  Parameters:
    `name` - fully qualified name of the zone object

### getCreateDate

    public java.util.Date getCreateDate()

  Get creation date of zone object.

  Returns:
    creation date of zone object

### setCreateDate

    public void setCreateDate(java.util.Date createDate)

  Set creation date of zone object.

  Parameters:
    `createDate` - creation date of zone object

### getUpdateDate

    public java.util.Date getUpdateDate()

  Get last update date of zone object.

  Returns:
    last update date of zone object

### setUpdateDate

    public void setUpdateDate(java.util.Date updateDate)

  Set last update date of zone object.

  Parameters:
    `updateDate` - last update date of zone object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.